;*****************************************************************
;* Description: Interface definition file for RC Calibration
;*
;* $Revision: 3.1 $	
;* $Author: jllassen $
;* $Date: Monday, November 17, 2003 3:56:34 PM $
;*
;*****************************************************************

;*****************************************************************
;*	Specify Calibration clock frequency
;*****************************************************************
.equ	CALIB_CLOCK_FREQ	= 32914	;Calibration Clock frequency in Hz - CHANGE WITH CARE

;*****************************************************************
;*	Pin and port definitions
;*****************************************************************
.EQU	MISO 		= ISP_CAL_MISO
.EQU	MOSI		= ISP_CAL_MOSI

.EQU	CAL_PORT	= ISP_CAL_PORT_REG
.EQU	CAL_DDR		= ISP_CAL_DDR_REG
.EQU	CAL_PIN		= ISP_CAL_PIN_REG

;*****************************************************************
;*	Macro used to disable and enable JTAG functions as these 
;*	override IO functions. Macro contains nop if not using JTAG.
;*****************************************************************
.MACRO	OPEN_INTERFACE_ACCESS
	nop
.ENDMACRO

.MACRO	CLOSE_INTERFACE_ACCESS
	nop
.ENDMACRO